com.amazonaws.services.elastictranscoder

## Class AmazonElasticTranscoderAsyncClient

- java.lang.Object
- - com.amazonaws.AmazonWebServiceClient
  - - com.amazonaws.services.elastictranscoder.AmazonElasticTranscoderClient
    - - com.amazonaws.services.elastictranscoder.AmazonElasticTranscoderAsyncClient

All Implemented Interfaces:
  AmazonElasticTranscoder, AmazonElasticTranscoderAsync

    @ThreadSafe
    public class AmazonElasticTranscoderAsyncClient
    extends AmazonElasticTranscoderClient
    implements AmazonElasticTranscoderAsync

Client for accessing Amazon Elastic Transcoder asynchronously. Each asynchronous method will return a Java Future object representing the asynchronous operation; overloads which accept an `AsyncHandler` can be used to receive notification when an asynchronous operation completes.

<fullname>AWS Elastic Transcoder Service</fullname>

The AWS Elastic Transcoder Service.

### Field Summary

### Fields inherited from class com.amazonaws.services.elastictranscoder.AmazonElasticTranscoderClient

`configFactory`

### Fields inherited from class com.amazonaws.AmazonWebServiceClient

`client, clientConfiguration, endpoint, LOGGING_AWS_REQUEST_METRIC, requestHandler2s, timeOffset`

### Fields inherited from interface com.amazonaws.services.elastictranscoder.AmazonElasticTranscoder

`ENDPOINT_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`AmazonElasticTranscoderAsyncClient()` Constructs a new asynchronous client to invoke service methods on Amazon Elastic Transcoder.
`AmazonElasticTranscoderAsyncClient(AWSCredentials awsCredentials)` Constructs a new asynchronous client to invoke service methods on Amazon Elastic Transcoder using the specified AWS account credentials.
`AmazonElasticTranscoderAsyncClient(AWSCredentials awsCredentials, ClientConfiguration clientConfiguration, ExecutorService executorService)` Constructs a new asynchronous client to invoke service methods on Amazon Elastic Transcoder using the specified AWS account credentials, executor service, and client configuration options.
`AmazonElasticTranscoderAsyncClient(AWSCredentials awsCredentials, ExecutorService executorService)` Constructs a new asynchronous client to invoke service methods on Amazon Elastic Transcoder using the specified AWS account credentials and executor service.
`AmazonElasticTranscoderAsyncClient(AWSCredentialsProvider awsCredentialsProvider)` Constructs a new asynchronous client to invoke service methods on Amazon Elastic Transcoder using the specified AWS account credentials provider.
`AmazonElasticTranscoderAsyncClient(AWSCredentialsProvider awsCredentialsProvider, ClientConfiguration clientConfiguration)` Constructs a new asynchronous client to invoke service methods on Amazon Elastic Transcoder using the provided AWS account credentials provider and client configuration options.
`AmazonElasticTranscoderAsyncClient(AWSCredentialsProvider awsCredentialsProvider, ClientConfiguration clientConfiguration, ExecutorService executorService)` Constructs a new asynchronous client to invoke service methods on Amazon Elastic Transcoder using the specified AWS account credentials provider, executor service, and client configuration options.
`AmazonElasticTranscoderAsyncClient(AWSCredentialsProvider awsCredentialsProvider, ExecutorService executorService)` Constructs a new asynchronous client to invoke service methods on Amazon Elastic Transcoder using the specified AWS account credentials provider and executor service.
`AmazonElasticTranscoderAsyncClient(ClientConfiguration clientConfiguration)` Constructs a new asynchronous client to invoke service methods on Amazon Elastic Transcoder.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Future<CancelJobResult>` `cancelJobAsync(CancelJobRequest request)` The CancelJob operation cancels an unfinished job.
`Future<CancelJobResult>` `cancelJobAsync(CancelJobRequest request, AsyncHandler<CancelJobRequest,CancelJobResult> asyncHandler)` The CancelJob operation cancels an unfinished job.
`Future<CreateJobResult>` `createJobAsync(CreateJobRequest request)` When you create a job, Elastic Transcoder returns JSON data that includes the values that you specified plus information about the job that is created.
`Future<CreateJobResult>` `createJobAsync(CreateJobRequest request, AsyncHandler<CreateJobRequest,CreateJobResult> asyncHandler)` When you create a job, Elastic Transcoder returns JSON data that includes the values that you specified plus information about the job that is created.
`Future<CreatePipelineResult>` `createPipelineAsync(CreatePipelineRequest request)` The CreatePipeline operation creates a pipeline with settings that you specify.
`Future<CreatePipelineResult>` `createPipelineAsync(CreatePipelineRequest request, AsyncHandler<CreatePipelineRequest,CreatePipelineResult> asyncHandler)` The CreatePipeline operation creates a pipeline with settings that you specify.
`Future<CreatePresetResult>` `createPresetAsync(CreatePresetRequest request)` The CreatePreset operation creates a preset with settings that you specify.
`Future<CreatePresetResult>` `createPresetAsync(CreatePresetRequest request, AsyncHandler<CreatePresetRequest,CreatePresetResult> asyncHandler)` The CreatePreset operation creates a preset with settings that you specify.
`Future<DeletePipelineResult>` `deletePipelineAsync(DeletePipelineRequest request)` The DeletePipeline operation removes a pipeline.
`Future<DeletePipelineResult>` `deletePipelineAsync(DeletePipelineRequest request, AsyncHandler<DeletePipelineRequest,DeletePipelineResult> asyncHandler)` The DeletePipeline operation removes a pipeline.
`Future<DeletePresetResult>` `deletePresetAsync(DeletePresetRequest request)` The DeletePreset operation removes a preset that you've added in an AWS region.
`Future<DeletePresetResult>` `deletePresetAsync(DeletePresetRequest request, AsyncHandler<DeletePresetRequest,DeletePresetResult> asyncHandler)` The DeletePreset operation removes a preset that you've added in an AWS region.
`ExecutorService` `getExecutorService()` Returns the executor service used by this client to execute async requests.
`Future<ListJobsByPipelineResult>` `listJobsByPipelineAsync(ListJobsByPipelineRequest request)` The ListJobsByPipeline operation gets a list of the jobs currently in a pipeline.
`Future<ListJobsByPipelineResult>` `listJobsByPipelineAsync(ListJobsByPipelineRequest request, AsyncHandler<ListJobsByPipelineRequest,ListJobsByPipelineResult> asyncHandler)` The ListJobsByPipeline operation gets a list of the jobs currently in a pipeline.
`Future<ListJobsByStatusResult>` `listJobsByStatusAsync(ListJobsByStatusRequest request)` The ListJobsByStatus operation gets a list of jobs that have a specified status.
`Future<ListJobsByStatusResult>` `listJobsByStatusAsync(ListJobsByStatusRequest request, AsyncHandler<ListJobsByStatusRequest,ListJobsByStatusResult> asyncHandler)` The ListJobsByStatus operation gets a list of jobs that have a specified status.
`Future<ListPipelinesResult>` `listPipelinesAsync()` Simplified method form for invoking the ListPipelines operation.
`Future<ListPipelinesResult>` `listPipelinesAsync(AsyncHandler<ListPipelinesRequest,ListPipelinesResult> asyncHandler)` Simplified method form for invoking the ListPipelines operation with an AsyncHandler.
`Future<ListPipelinesResult>` `listPipelinesAsync(ListPipelinesRequest request)` The ListPipelines operation gets a list of the pipelines associated with the current AWS account.
`Future<ListPipelinesResult>` `listPipelinesAsync(ListPipelinesRequest request, AsyncHandler<ListPipelinesRequest,ListPipelinesResult> asyncHandler)` The ListPipelines operation gets a list of the pipelines associated with the current AWS account.
`Future<ListPresetsResult>` `listPresetsAsync()` Simplified method form for invoking the ListPresets operation.
`Future<ListPresetsResult>` `listPresetsAsync(AsyncHandler<ListPresetsRequest,ListPresetsResult> asyncHandler)` Simplified method form for invoking the ListPresets operation with an AsyncHandler.
`Future<ListPresetsResult>` `listPresetsAsync(ListPresetsRequest request)` The ListPresets operation gets a list of the default presets included with Elastic Transcoder and the presets that you've added in an AWS region.
`Future<ListPresetsResult>` `listPresetsAsync(ListPresetsRequest request, AsyncHandler<ListPresetsRequest,ListPresetsResult> asyncHandler)` The ListPresets operation gets a list of the default presets included with Elastic Transcoder and the presets that you've added in an AWS region.
`Future<ReadJobResult>` `readJobAsync(ReadJobRequest request)` The ReadJob operation returns detailed information about a job.
`Future<ReadJobResult>` `readJobAsync(ReadJobRequest request, AsyncHandler<ReadJobRequest,ReadJobResult> asyncHandler)` The ReadJob operation returns detailed information about a job.
`Future<ReadPipelineResult>` `readPipelineAsync(ReadPipelineRequest request)` The ReadPipeline operation gets detailed information about a pipeline.
`Future<ReadPipelineResult>` `readPipelineAsync(ReadPipelineRequest request, AsyncHandler<ReadPipelineRequest,ReadPipelineResult> asyncHandler)` The ReadPipeline operation gets detailed information about a pipeline.
`Future<ReadPresetResult>` `readPresetAsync(ReadPresetRequest request)` The ReadPreset operation gets detailed information about a preset.
`Future<ReadPresetResult>` `readPresetAsync(ReadPresetRequest request, AsyncHandler<ReadPresetRequest,ReadPresetResult> asyncHandler)` The ReadPreset operation gets detailed information about a preset.
`void` `shutdown()` Shuts down the client, releasing all managed resources.
`Future<TestRoleResult>` `testRoleAsync(TestRoleRequest request)` Deprecated.
`Future<TestRoleResult>` `testRoleAsync(TestRoleRequest request, AsyncHandler<TestRoleRequest,TestRoleResult> asyncHandler)` Deprecated.
`Future<UpdatePipelineResult>` `updatePipelineAsync(UpdatePipelineRequest request)` Use the `UpdatePipeline` operation to update settings for a pipeline.
`Future<UpdatePipelineResult>` `updatePipelineAsync(UpdatePipelineRequest request, AsyncHandler<UpdatePipelineRequest,UpdatePipelineResult> asyncHandler)` Use the `UpdatePipeline` operation to update settings for a pipeline.
`Future<UpdatePipelineNotificationsResult>` `updatePipelineNotificationsAsync(UpdatePipelineNotificationsRequest request)` With the UpdatePipelineNotifications operation, you can update Amazon Simple Notification Service (Amazon SNS) notifications for a pipeline.
`Future<UpdatePipelineNotificationsResult>` `updatePipelineNotificationsAsync(UpdatePipelineNotificationsRequest request, AsyncHandler<UpdatePipelineNotificationsRequest,UpdatePipelineNotificationsResult> asyncHandler)` With the UpdatePipelineNotifications operation, you can update Amazon Simple Notification Service (Amazon SNS) notifications for a pipeline.
`Future<UpdatePipelineStatusResult>` `updatePipelineStatusAsync(UpdatePipelineStatusRequest request)` The UpdatePipelineStatus operation pauses or reactivates a pipeline, so that the pipeline stops or restarts the processing of jobs.
`Future<UpdatePipelineStatusResult>` `updatePipelineStatusAsync(UpdatePipelineStatusRequest request, AsyncHandler<UpdatePipelineStatusRequest,UpdatePipelineStatusResult> asyncHandler)` The UpdatePipelineStatus operation pauses or reactivates a pipeline, so that the pipeline stops or restarts the processing of jobs.

### Methods inherited from class com.amazonaws.services.elastictranscoder.AmazonElasticTranscoderClient

`cancelJob, createJob, createPipeline, createPreset, deletePipeline, deletePreset, getCachedResponseMetadata, listJobsByPipeline, listJobsByStatus, listPipelines, listPipelines, listPresets, listPresets, readJob, readPipeline, readPreset, testRole, updatePipeline, updatePipelineNotifications, updatePipelineStatus, waiters`

### Methods inherited from class com.amazonaws.AmazonWebServiceClient

`addRequestHandler, addRequestHandler, beforeMarshalling, calculateCRC32FromCompressedData, checkMutability, configureRegion, createExecutionContext, createExecutionContext, createExecutionContext, createSignerProvider, endClientExecution, endClientExecution, getEndpointPrefix, getRequestMetricsCollector, getServiceAbbreviation, getServiceName, getServiceNameIntern, getSigner, getSignerByURI, getSignerProvider, getSignerRegionOverride, getTimeOffset, isProfilingEnabled, isRequestMetricsEnabled, makeImmutable, removeRequestHandler, removeRequestHandler, requestMetricCollector, setEndpoint, setEndpointPrefix, setRegion, setServiceNameIntern, setSignerRegionOverride, setTimeOffset, useStrictHostNameVerification, withEndpoint, withRegion, withRegion, withTimeOffset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.amazonaws.services.elastictranscoder.AmazonElasticTranscoder

`cancelJob, createJob, createPipeline, createPreset, deletePipeline, deletePreset, getCachedResponseMetadata, listJobsByPipeline, listJobsByStatus, listPipelines, listPipelines, listPresets, listPresets, readJob, readPipeline, readPreset, setEndpoint, setRegion, testRole, updatePipeline, updatePipelineNotifications, updatePipelineStatus, waiters`

### Constructor Detail

#### AmazonElasticTranscoderAsyncClient

    public AmazonElasticTranscoderAsyncClient()

Constructs a new asynchronous client to invoke service methods on Amazon Elastic Transcoder. A credentials provider chain will be used that searches for credentials in this order:

- Environment Variables - AWS_ACCESS_KEY_ID and AWS_SECRET_KEY
- Java System Properties - aws.accessKeyId and aws.secretKey
- Credential profiles file at the default location (~/.aws/credentials) shared by all AWS SDKs and the AWS CLI
- Instance profile credentials delivered through the Amazon EC2 metadata service

Asynchronous methods are delegated to a fixed-size thread pool containing 50 threads (to match the default maximum number of concurrent connections to the service).

See Also:
  `DefaultAWSCredentialsProviderChain`, `Executors.newFixedThreadPool(int)`

#### AmazonElasticTranscoderAsyncClient

    public AmazonElasticTranscoderAsyncClient(ClientConfiguration clientConfiguration)

Constructs a new asynchronous client to invoke service methods on Amazon Elastic Transcoder. A credentials provider chain will be used that searches for credentials in this order:

- Environment Variables - AWS_ACCESS_KEY_ID and AWS_SECRET_KEY
- Java System Properties - aws.accessKeyId and aws.secretKey
- Credential profiles file at the default location (~/.aws/credentials) shared by all AWS SDKs and the AWS CLI
- Instance profile credentials delivered through the Amazon EC2 metadata service

Asynchronous methods are delegated to a fixed-size thread pool containing a number of threads equal to the maximum number of concurrent connections configured via `ClientConfiguration.getMaxConnections()`.

Parameters:
  `clientConfiguration` - The client configuration options controlling how this client connects to Amazon Elastic Transcoder (ex: proxy settings, retry counts, etc).
See Also:
  `DefaultAWSCredentialsProviderChain`, `Executors.newFixedThreadPool(int)`

#### AmazonElasticTranscoderAsyncClient

    public AmazonElasticTranscoderAsyncClient(AWSCredentials awsCredentials)

Constructs a new asynchronous client to invoke service methods on Amazon Elastic Transcoder using the specified AWS account credentials.

Asynchronous methods are delegated to a fixed-size thread pool containing 50 threads (to match the default maximum number of concurrent connections to the service).

Parameters:
  `awsCredentials` - The AWS credentials (access key ID and secret key) to use when authenticating with AWS services.
See Also:
  `Executors.newFixedThreadPool(int)`

#### AmazonElasticTranscoderAsyncClient

    public AmazonElasticTranscoderAsyncClient(AWSCredentials awsCredentials,
                                              ExecutorService executorService)

Constructs a new asynchronous client to invoke service methods on Amazon Elastic Transcoder using the specified AWS account credentials and executor service. Default client settings will be used.

Parameters:
  `awsCredentials` - The AWS credentials (access key ID and secret key) to use when authenticating with AWS services.
  `executorService` - The executor service by which all asynchronous requests will be executed.

#### AmazonElasticTranscoderAsyncClient

    public AmazonElasticTranscoderAsyncClient(AWSCredentials awsCredentials,
                                              ClientConfiguration clientConfiguration,
                                              ExecutorService executorService)

Constructs a new asynchronous client to invoke service methods on Amazon Elastic Transcoder using the specified AWS account credentials, executor service, and client configuration options.

Parameters:
  `awsCredentials` - The AWS credentials (access key ID and secret key) to use when authenticating with AWS services.
  `clientConfiguration` - Client configuration options (ex: max retry limit, proxy settings, etc).
  `executorService` - The executor service by which all asynchronous requests will be executed.

#### AmazonElasticTranscoderAsyncClient

    public AmazonElasticTranscoderAsyncClient(AWSCredentialsProvider awsCredentialsProvider)

Constructs a new asynchronous client to invoke service methods on Amazon Elastic Transcoder using the specified AWS account credentials provider. Default client settings will be used.

Asynchronous methods are delegated to a fixed-size thread pool containing 50 threads (to match the default maximum number of concurrent connections to the service).

Parameters:
  `awsCredentialsProvider` - The AWS credentials provider which will provide credentials to authenticate requests with AWS services.
See Also:
  `Executors.newFixedThreadPool(int)`

#### AmazonElasticTranscoderAsyncClient

    public AmazonElasticTranscoderAsyncClient(AWSCredentialsProvider awsCredentialsProvider,
                                              ClientConfiguration clientConfiguration)

Constructs a new asynchronous client to invoke service methods on Amazon Elastic Transcoder using the provided AWS account credentials provider and client configuration options.

Asynchronous methods are delegated to a fixed-size thread pool containing a number of threads equal to the maximum number of concurrent connections configured via `ClientConfiguration.getMaxConnections()`.

Parameters:
  `awsCredentialsProvider` - The AWS credentials provider which will provide credentials to authenticate requests with AWS services.
  `clientConfiguration` - Client configuration options (ex: max retry limit, proxy settings, etc).
See Also:
  `DefaultAWSCredentialsProviderChain`, `Executors.newFixedThreadPool(int)`

#### AmazonElasticTranscoderAsyncClient

    public AmazonElasticTranscoderAsyncClient(AWSCredentialsProvider awsCredentialsProvider,
                                              ExecutorService executorService)

Constructs a new asynchronous client to invoke service methods on Amazon Elastic Transcoder using the specified AWS account credentials provider and executor service. Default client settings will be used.

Parameters:
  `awsCredentialsProvider` - The AWS credentials provider which will provide credentials to authenticate requests with AWS services.
  `executorService` - The executor service by which all asynchronous requests will be executed.

#### AmazonElasticTranscoderAsyncClient

    public AmazonElasticTranscoderAsyncClient(AWSCredentialsProvider awsCredentialsProvider,
                                              ClientConfiguration clientConfiguration,
                                              ExecutorService executorService)

Constructs a new asynchronous client to invoke service methods on Amazon Elastic Transcoder using the specified AWS account credentials provider, executor service, and client configuration options.

Parameters:
  `awsCredentialsProvider` - The AWS credentials provider which will provide credentials to authenticate requests with AWS services.
  `clientConfiguration` - Client configuration options (ex: max retry limit, proxy settings, etc).
  `executorService` - The executor service by which all asynchronous requests will be executed.

### Method Detail

#### getExecutorService

    public ExecutorService getExecutorService()

Returns the executor service used by this client to execute async requests.

Returns:
  The executor service used by this client to execute async requests.

#### cancelJobAsync

    public Future<CancelJobResult> cancelJobAsync(CancelJobRequest request)

Description copied from interface: `AmazonElasticTranscoderAsync`

The CancelJob operation cancels an unfinished job.

<note>

You can only cancel a job that has a status of `Submitted`. To prevent a pipeline from starting to process a job while you're getting the job identifier, use UpdatePipelineStatus to temporarily pause the pipeline.

</note>

Specified by:
  `cancelJobAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `CancelJobRequest` structure.
Returns:
  A Java Future containing the result of the CancelJob operation returned by the service.

#### cancelJobAsync

    public Future<CancelJobResult> cancelJobAsync(CancelJobRequest request,
                                                  AsyncHandler<CancelJobRequest,CancelJobResult> asyncHandler)

Description copied from interface: `AmazonElasticTranscoderAsync`

The CancelJob operation cancels an unfinished job.

<note>

You can only cancel a job that has a status of `Submitted`. To prevent a pipeline from starting to process a job while you're getting the job identifier, use UpdatePipelineStatus to temporarily pause the pipeline.

</note>

Specified by:
  `cancelJobAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `CancelJobRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CancelJob operation returned by the service.

#### createJobAsync

    public Future<CreateJobResult> createJobAsync(CreateJobRequest request)

Description copied from interface: `AmazonElasticTranscoderAsync`

When you create a job, Elastic Transcoder returns JSON data that includes the values that you specified plus information about the job that is created.

If you have specified more than one output for your jobs (for example, one output for the Kindle Fire and another output for the Apple iPhone 4s), you currently must use the Elastic Transcoder API to list the jobs (as opposed to the AWS Console).

Specified by:
  `createJobAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `CreateJobRequest` structure.
Returns:
  A Java Future containing the result of the CreateJob operation returned by the service.

#### createJobAsync

    public Future<CreateJobResult> createJobAsync(CreateJobRequest request,
                                                  AsyncHandler<CreateJobRequest,CreateJobResult> asyncHandler)

Description copied from interface: `AmazonElasticTranscoderAsync`

When you create a job, Elastic Transcoder returns JSON data that includes the values that you specified plus information about the job that is created.

If you have specified more than one output for your jobs (for example, one output for the Kindle Fire and another output for the Apple iPhone 4s), you currently must use the Elastic Transcoder API to list the jobs (as opposed to the AWS Console).

Specified by:
  `createJobAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `CreateJobRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateJob operation returned by the service.

#### createPipelineAsync

    public Future<CreatePipelineResult> createPipelineAsync(CreatePipelineRequest request)

Description copied from interface: `AmazonElasticTranscoderAsync`

The CreatePipeline operation creates a pipeline with settings that you specify.

Specified by:
  `createPipelineAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `CreatePipelineRequest` structure.
Returns:
  A Java Future containing the result of the CreatePipeline operation returned by the service.

#### createPipelineAsync

    public Future<CreatePipelineResult> createPipelineAsync(CreatePipelineRequest request,
                                                            AsyncHandler<CreatePipelineRequest,CreatePipelineResult> asyncHandler)

Description copied from interface: `AmazonElasticTranscoderAsync`

The CreatePipeline operation creates a pipeline with settings that you specify.

Specified by:
  `createPipelineAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `CreatePipelineRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreatePipeline operation returned by the service.

#### createPresetAsync

    public Future<CreatePresetResult> createPresetAsync(CreatePresetRequest request)

Description copied from interface: `AmazonElasticTranscoderAsync`

The CreatePreset operation creates a preset with settings that you specify.

<important>

Elastic Transcoder checks the CreatePreset settings to ensure that they meet Elastic Transcoder requirements and to determine whether they comply with H.264 standards. If your settings are not valid for Elastic Transcoder, Elastic Transcoder returns an HTTP 400 response (`ValidationException`) and does not create the preset. If the settings are valid for Elastic Transcoder but aren't strictly compliant with the H.264 standard, Elastic Transcoder creates the preset and returns a warning message in the response. This helps you determine whether your settings comply with the H.264 standard while giving you greater flexibility with respect to the video that Elastic Transcoder produces.

</important>

Elastic Transcoder uses the H.264 video-compression format. For more information, see the International Telecommunication Union publication Recommendation ITU-T H.264: Advanced video coding for generic audiovisual services.

Specified by:
  `createPresetAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `CreatePresetRequest` structure.
Returns:
  A Java Future containing the result of the CreatePreset operation returned by the service.

#### createPresetAsync

    public Future<CreatePresetResult> createPresetAsync(CreatePresetRequest request,
                                                        AsyncHandler<CreatePresetRequest,CreatePresetResult> asyncHandler)

Description copied from interface: `AmazonElasticTranscoderAsync`

The CreatePreset operation creates a preset with settings that you specify.

<important>

Elastic Transcoder checks the CreatePreset settings to ensure that they meet Elastic Transcoder requirements and to determine whether they comply with H.264 standards. If your settings are not valid for Elastic Transcoder, Elastic Transcoder returns an HTTP 400 response (`ValidationException`) and does not create the preset. If the settings are valid for Elastic Transcoder but aren't strictly compliant with the H.264 standard, Elastic Transcoder creates the preset and returns a warning message in the response. This helps you determine whether your settings comply with the H.264 standard while giving you greater flexibility with respect to the video that Elastic Transcoder produces.

</important>

Elastic Transcoder uses the H.264 video-compression format. For more information, see the International Telecommunication Union publication Recommendation ITU-T H.264: Advanced video coding for generic audiovisual services.

Specified by:
  `createPresetAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `CreatePresetRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreatePreset operation returned by the service.

#### deletePipelineAsync

    public Future<DeletePipelineResult> deletePipelineAsync(DeletePipelineRequest request)

Description copied from interface: `AmazonElasticTranscoderAsync`

The DeletePipeline operation removes a pipeline.

You can only delete a pipeline that has never been used or that is not currently in use (doesn't contain any active jobs). If the pipeline is currently in use, `DeletePipeline` returns an error.

Specified by:
  `deletePipelineAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `DeletePipelineRequest` structure.
Returns:
  A Java Future containing the result of the DeletePipeline operation returned by the service.

#### deletePipelineAsync

    public Future<DeletePipelineResult> deletePipelineAsync(DeletePipelineRequest request,
                                                            AsyncHandler<DeletePipelineRequest,DeletePipelineResult> asyncHandler)

Description copied from interface: `AmazonElasticTranscoderAsync`

The DeletePipeline operation removes a pipeline.

You can only delete a pipeline that has never been used or that is not currently in use (doesn't contain any active jobs). If the pipeline is currently in use, `DeletePipeline` returns an error.

Specified by:
  `deletePipelineAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `DeletePipelineRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeletePipeline operation returned by the service.

#### deletePresetAsync

    public Future<DeletePresetResult> deletePresetAsync(DeletePresetRequest request)

Description copied from interface: `AmazonElasticTranscoderAsync`

The DeletePreset operation removes a preset that you've added in an AWS region.

<note>

You can't delete the default presets that are included with Elastic Transcoder.

</note>

Specified by:
  `deletePresetAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `DeletePresetRequest` structure.
Returns:
  A Java Future containing the result of the DeletePreset operation returned by the service.

#### deletePresetAsync

    public Future<DeletePresetResult> deletePresetAsync(DeletePresetRequest request,
                                                        AsyncHandler<DeletePresetRequest,DeletePresetResult> asyncHandler)

Description copied from interface: `AmazonElasticTranscoderAsync`

The DeletePreset operation removes a preset that you've added in an AWS region.

<note>

You can't delete the default presets that are included with Elastic Transcoder.

</note>

Specified by:
  `deletePresetAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `DeletePresetRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeletePreset operation returned by the service.

#### listJobsByPipelineAsync

    public Future<ListJobsByPipelineResult> listJobsByPipelineAsync(ListJobsByPipelineRequest request)

Description copied from interface: `AmazonElasticTranscoderAsync`

The ListJobsByPipeline operation gets a list of the jobs currently in a pipeline.

Elastic Transcoder returns all of the jobs currently in the specified pipeline. The response body contains one element for each job that satisfies the search criteria.

Specified by:
  `listJobsByPipelineAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `ListJobsByPipelineRequest` structure.
Returns:
  A Java Future containing the result of the ListJobsByPipeline operation returned by the service.

#### listJobsByPipelineAsync

    public Future<ListJobsByPipelineResult> listJobsByPipelineAsync(ListJobsByPipelineRequest request,
                                                                    AsyncHandler<ListJobsByPipelineRequest,ListJobsByPipelineResult> asyncHandler)

Description copied from interface: `AmazonElasticTranscoderAsync`

The ListJobsByPipeline operation gets a list of the jobs currently in a pipeline.

Elastic Transcoder returns all of the jobs currently in the specified pipeline. The response body contains one element for each job that satisfies the search criteria.

Specified by:
  `listJobsByPipelineAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `ListJobsByPipelineRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListJobsByPipeline operation returned by the service.

#### listJobsByStatusAsync

    public Future<ListJobsByStatusResult> listJobsByStatusAsync(ListJobsByStatusRequest request)

Description copied from interface: `AmazonElasticTranscoderAsync`

The ListJobsByStatus operation gets a list of jobs that have a specified status. The response body contains one element for each job that satisfies the search criteria.

Specified by:
  `listJobsByStatusAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `ListJobsByStatusRequest` structure.
Returns:
  A Java Future containing the result of the ListJobsByStatus operation returned by the service.

#### listJobsByStatusAsync

    public Future<ListJobsByStatusResult> listJobsByStatusAsync(ListJobsByStatusRequest request,
                                                                AsyncHandler<ListJobsByStatusRequest,ListJobsByStatusResult> asyncHandler)

Description copied from interface: `AmazonElasticTranscoderAsync`

The ListJobsByStatus operation gets a list of jobs that have a specified status. The response body contains one element for each job that satisfies the search criteria.

Specified by:
  `listJobsByStatusAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `ListJobsByStatusRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListJobsByStatus operation returned by the service.

#### listPipelinesAsync

    public Future<ListPipelinesResult> listPipelinesAsync(ListPipelinesRequest request)

Description copied from interface: `AmazonElasticTranscoderAsync`

The ListPipelines operation gets a list of the pipelines associated with the current AWS account.

Specified by:
  `listPipelinesAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `ListPipelineRequest` structure.
Returns:
  A Java Future containing the result of the ListPipelines operation returned by the service.

#### listPipelinesAsync

    public Future<ListPipelinesResult> listPipelinesAsync(ListPipelinesRequest request,
                                                          AsyncHandler<ListPipelinesRequest,ListPipelinesResult> asyncHandler)

Description copied from interface: `AmazonElasticTranscoderAsync`

The ListPipelines operation gets a list of the pipelines associated with the current AWS account.

Specified by:
  `listPipelinesAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `ListPipelineRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListPipelines operation returned by the service.

#### listPipelinesAsync

    public Future<ListPipelinesResult> listPipelinesAsync()

Simplified method form for invoking the ListPipelines operation.

Specified by:
  `listPipelinesAsync` in interface `AmazonElasticTranscoderAsync`
See Also:
  `listPipelinesAsync(ListPipelinesRequest)`

#### listPipelinesAsync

    public Future<ListPipelinesResult> listPipelinesAsync(AsyncHandler<ListPipelinesRequest,ListPipelinesResult> asyncHandler)

Simplified method form for invoking the ListPipelines operation with an AsyncHandler.

Specified by:
  `listPipelinesAsync` in interface `AmazonElasticTranscoderAsync`
See Also:
  `listPipelinesAsync(ListPipelinesRequest, com.amazonaws.handlers.AsyncHandler)`

#### listPresetsAsync

    public Future<ListPresetsResult> listPresetsAsync(ListPresetsRequest request)

Description copied from interface: `AmazonElasticTranscoderAsync`

The ListPresets operation gets a list of the default presets included with Elastic Transcoder and the presets that you've added in an AWS region.

Specified by:
  `listPresetsAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `ListPresetsRequest` structure.
Returns:
  A Java Future containing the result of the ListPresets operation returned by the service.

#### listPresetsAsync

    public Future<ListPresetsResult> listPresetsAsync(ListPresetsRequest request,
                                                      AsyncHandler<ListPresetsRequest,ListPresetsResult> asyncHandler)

Description copied from interface: `AmazonElasticTranscoderAsync`

The ListPresets operation gets a list of the default presets included with Elastic Transcoder and the presets that you've added in an AWS region.

Specified by:
  `listPresetsAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `ListPresetsRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListPresets operation returned by the service.

#### listPresetsAsync

    public Future<ListPresetsResult> listPresetsAsync()

Simplified method form for invoking the ListPresets operation.

Specified by:
  `listPresetsAsync` in interface `AmazonElasticTranscoderAsync`
See Also:
  `listPresetsAsync(ListPresetsRequest)`

#### listPresetsAsync

    public Future<ListPresetsResult> listPresetsAsync(AsyncHandler<ListPresetsRequest,ListPresetsResult> asyncHandler)

Simplified method form for invoking the ListPresets operation with an AsyncHandler.

Specified by:
  `listPresetsAsync` in interface `AmazonElasticTranscoderAsync`
See Also:
  `listPresetsAsync(ListPresetsRequest, com.amazonaws.handlers.AsyncHandler)`

#### readJobAsync

    public Future<ReadJobResult> readJobAsync(ReadJobRequest request)

Description copied from interface: `AmazonElasticTranscoderAsync`

The ReadJob operation returns detailed information about a job.

Specified by:
  `readJobAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `ReadJobRequest` structure.
Returns:
  A Java Future containing the result of the ReadJob operation returned by the service.

#### readJobAsync

    public Future<ReadJobResult> readJobAsync(ReadJobRequest request,
                                              AsyncHandler<ReadJobRequest,ReadJobResult> asyncHandler)

Description copied from interface: `AmazonElasticTranscoderAsync`

The ReadJob operation returns detailed information about a job.

Specified by:
  `readJobAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `ReadJobRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ReadJob operation returned by the service.

#### readPipelineAsync

    public Future<ReadPipelineResult> readPipelineAsync(ReadPipelineRequest request)

Description copied from interface: `AmazonElasticTranscoderAsync`

The ReadPipeline operation gets detailed information about a pipeline.

Specified by:
  `readPipelineAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `ReadPipelineRequest` structure.
Returns:
  A Java Future containing the result of the ReadPipeline operation returned by the service.

#### readPipelineAsync

    public Future<ReadPipelineResult> readPipelineAsync(ReadPipelineRequest request,
                                                        AsyncHandler<ReadPipelineRequest,ReadPipelineResult> asyncHandler)

Description copied from interface: `AmazonElasticTranscoderAsync`

The ReadPipeline operation gets detailed information about a pipeline.

Specified by:
  `readPipelineAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `ReadPipelineRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ReadPipeline operation returned by the service.

#### readPresetAsync

    public Future<ReadPresetResult> readPresetAsync(ReadPresetRequest request)

Description copied from interface: `AmazonElasticTranscoderAsync`

The ReadPreset operation gets detailed information about a preset.

Specified by:
  `readPresetAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `ReadPresetRequest` structure.
Returns:
  A Java Future containing the result of the ReadPreset operation returned by the service.

#### readPresetAsync

    public Future<ReadPresetResult> readPresetAsync(ReadPresetRequest request,
                                                    AsyncHandler<ReadPresetRequest,ReadPresetResult> asyncHandler)

Description copied from interface: `AmazonElasticTranscoderAsync`

The ReadPreset operation gets detailed information about a preset.

Specified by:
  `readPresetAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `ReadPresetRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ReadPreset operation returned by the service.

#### testRoleAsync

    @Deprecated
    public Future<TestRoleResult> testRoleAsync(TestRoleRequest request)

Deprecated.
Description copied from interface: `AmazonElasticTranscoderAsync`

The TestRole operation tests the IAM role used to create the pipeline.

The `TestRole` action lets you determine whether the IAM role you are using has sufficient permissions to let Elastic Transcoder perform tasks associated with the transcoding process. The action attempts to assume the specified IAM role, checks read access to the input and output buckets, and tries to send a test notification to Amazon SNS topics that you specify.

Specified by:
  `testRoleAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `TestRoleRequest` structure.
Returns:
  A Java Future containing the result of the TestRole operation returned by the service.

#### testRoleAsync

    @Deprecated
    public Future<TestRoleResult> testRoleAsync(TestRoleRequest request,
                                                            AsyncHandler<TestRoleRequest,TestRoleResult> asyncHandler)

Deprecated.
Description copied from interface: `AmazonElasticTranscoderAsync`

The TestRole operation tests the IAM role used to create the pipeline.

The `TestRole` action lets you determine whether the IAM role you are using has sufficient permissions to let Elastic Transcoder perform tasks associated with the transcoding process. The action attempts to assume the specified IAM role, checks read access to the input and output buckets, and tries to send a test notification to Amazon SNS topics that you specify.

Specified by:
  `testRoleAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `TestRoleRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the TestRole operation returned by the service.

#### updatePipelineAsync

    public Future<UpdatePipelineResult> updatePipelineAsync(UpdatePipelineRequest request)

Description copied from interface: `AmazonElasticTranscoderAsync`

Use the `UpdatePipeline` operation to update settings for a pipeline.

<important>

When you change pipeline settings, your changes take effect immediately. Jobs that you have already submitted and that Elastic Transcoder has not started to process are affected in addition to jobs that you submit after you change settings.

</important>

Specified by:
  `updatePipelineAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `UpdatePipelineRequest` structure.
Returns:
  A Java Future containing the result of the UpdatePipeline operation returned by the service.

#### updatePipelineAsync

    public Future<UpdatePipelineResult> updatePipelineAsync(UpdatePipelineRequest request,
                                                            AsyncHandler<UpdatePipelineRequest,UpdatePipelineResult> asyncHandler)

Description copied from interface: `AmazonElasticTranscoderAsync`

Use the `UpdatePipeline` operation to update settings for a pipeline.

<important>

When you change pipeline settings, your changes take effect immediately. Jobs that you have already submitted and that Elastic Transcoder has not started to process are affected in addition to jobs that you submit after you change settings.

</important>

Specified by:
  `updatePipelineAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `UpdatePipelineRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdatePipeline operation returned by the service.

#### updatePipelineNotificationsAsync

    public Future<UpdatePipelineNotificationsResult> updatePipelineNotificationsAsync(UpdatePipelineNotificationsRequest request)

Description copied from interface: `AmazonElasticTranscoderAsync`

With the UpdatePipelineNotifications operation, you can update Amazon Simple Notification Service (Amazon SNS) notifications for a pipeline.

When you update notifications for a pipeline, Elastic Transcoder returns the values that you specified in the request.

Specified by:
  `updatePipelineNotificationsAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `UpdatePipelineNotificationsRequest` structure.
Returns:
  A Java Future containing the result of the UpdatePipelineNotifications operation returned by the service.

#### updatePipelineNotificationsAsync

    public Future<UpdatePipelineNotificationsResult> updatePipelineNotificationsAsync(UpdatePipelineNotificationsRequest request,
                                                                                      AsyncHandler<UpdatePipelineNotificationsRequest,UpdatePipelineNotificationsResult> asyncHandler)

Description copied from interface: `AmazonElasticTranscoderAsync`

With the UpdatePipelineNotifications operation, you can update Amazon Simple Notification Service (Amazon SNS) notifications for a pipeline.

When you update notifications for a pipeline, Elastic Transcoder returns the values that you specified in the request.

Specified by:
  `updatePipelineNotificationsAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `UpdatePipelineNotificationsRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdatePipelineNotifications operation returned by the service.

#### updatePipelineStatusAsync

    public Future<UpdatePipelineStatusResult> updatePipelineStatusAsync(UpdatePipelineStatusRequest request)

Description copied from interface: `AmazonElasticTranscoderAsync`

The UpdatePipelineStatus operation pauses or reactivates a pipeline, so that the pipeline stops or restarts the processing of jobs.

Changing the pipeline status is useful if you want to cancel one or more jobs. You can't cancel jobs after Elastic Transcoder has started processing them; if you pause the pipeline to which you submitted the jobs, you have more time to get the job IDs for the jobs that you want to cancel, and to send a CancelJob request.

Specified by:
  `updatePipelineStatusAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `UpdatePipelineStatusRequest` structure.
Returns:
  A Java Future containing the result of the UpdatePipelineStatus operation returned by the service.

#### updatePipelineStatusAsync

    public Future<UpdatePipelineStatusResult> updatePipelineStatusAsync(UpdatePipelineStatusRequest request,
                                                                        AsyncHandler<UpdatePipelineStatusRequest,UpdatePipelineStatusResult> asyncHandler)

Description copied from interface: `AmazonElasticTranscoderAsync`

The UpdatePipelineStatus operation pauses or reactivates a pipeline, so that the pipeline stops or restarts the processing of jobs.

Changing the pipeline status is useful if you want to cancel one or more jobs. You can't cancel jobs after Elastic Transcoder has started processing them; if you pause the pipeline to which you submitted the jobs, you have more time to get the job IDs for the jobs that you want to cancel, and to send a CancelJob request.

Specified by:
  `updatePipelineStatusAsync` in interface `AmazonElasticTranscoderAsync`
Parameters:
  `request` - The `UpdatePipelineStatusRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdatePipelineStatus operation returned by the service.

#### shutdown

    public void shutdown()

Shuts down the client, releasing all managed resources. This includes forcibly terminating all pending asynchronous service calls. Clients who wish to give pending asynchronous service calls time to complete should call `getExecutorService().shutdown()` followed by `getExecutorService().awaitTermination()` prior to calling this method.

Specified by:
  `shutdown` in interface `AmazonElasticTranscoder`
Overrides:
  `shutdown` in class `AmazonWebServiceClient`